Index Page latsph_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void latsph_c ( SpiceDouble    radius,
                       SpiceDouble    lon,
                       SpiceDouble    lat,
                       SpiceDouble *  rho,
                       SpiceDouble *  colat,
                       SpiceDouble *  lons )
#### Abstract
       Convert from latitudinal coordinates to spherical coordinates.
#### Required_Reading
       None.
#### Keywords
       CONVERSION,  COORDINATES
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       radius     I   Distance of a point from the origin.
       lon        I   Angle of the point from the XZ plane in radians.
       lat        I   Angle of the point from the XY plane in radians.
       rho        O   Distance of the point from the origin.
       colat      O   Angle of the point from positive z axis (radians).
       lons       O   Angle of the point from the XZ plane (radians).
#### Detailed_Input
       radius     Distance of a point from the origin.

       lon        Angle of the point from the XZ plane in radians.

       lat        Angle of the point from the XY plane in radians.
#### Detailed_Output
       rho        Distance of the point from the origin.

       colat      Angle between the vector from the origin to the point
                  and the positive z axis in radians.

       lons       Angle of the point from the XZ plane (radians).
#### Parameters
       None.
#### Exceptions
       Error free.
#### Files
       None.
#### Particulars
       This routine returns the spherical coordinates of a point
       whose position is input in latitudinal coordinates.

       Latitudinal coordinates are defined by a distance from a central
       reference point, an angle from a reference meridian, and an angle
       above the equator of a sphere centered at the central reference
       point.

       Spherical coordinates are defined by a distance from a central
       reference point, an angle from a reference meridian, and an angle
       from the z-axis.
#### Examples
       Co-latitude is obtained by subtracting latitude from HALFPI()
       Radius and longitude mean the same thing in both latitudinal
       and spherical coordinates.  The table below lists lat
       corresponding lat in terms of degrees.

               lat            lat
              ------         ------
                0             90
               20             70
               45             45
              -30            120
               90              0
              -45            135
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       W.L. Taber      (JPL)
#### Version
       -CSPICE Version 1.0.1, 13-DEC-2005   (EDW)

          Corrected typo in Deatiled_Output, substituted
          "colat" for "lat."

       -CSPICE Version 1.0.0, 08-FEB-1998   (EDW)
#### Index_Entries
       latitudinal to spherical coordinates
#### Link to routine latsph_c source file latsph_c.c

    Wed Jun  9 13:05:25 2010